﻿<?xml version="1.0" encoding="utf-8" ?>
<page:PopupPage
    x:Class="MTCT.Views.PopUp.ConfirmationPopup"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:local="clr-namespace:MTCT.Extension"
    xmlns:page="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
    xmlns:pan="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView">
    <pan:PancakeView
        Margin="20"
        Padding="5"
        BackgroundColor="#F5F5F5"
        CornerRadius="10,10,10,10"
        HasShadow="True"
        HorizontalOptions="CenterAndExpand"
        VerticalOptions="CenterAndExpand">
        <pan:PancakeView.HeightRequest>
            <OnIdiom
                x:TypeArguments="x:Double"
                Phone="170"
                Tablet="200" />
        </pan:PancakeView.HeightRequest>
        <pan:PancakeView.WidthRequest>
            <OnIdiom
                x:TypeArguments="x:Double"
                Phone="300"
                Tablet="400" />
        </pan:PancakeView.WidthRequest>
        <!--<pan:PancakeView.Margin>
            <OnIdiom
                x:TypeArguments="Thickness"
                Phone="30,0,30,0"
                Tablet="130,0,130,0" />
        </pan:PancakeView.Margin>-->
        <Grid
            Margin="0"
            Padding="0"
            BackgroundColor="Transparent"
            RowSpacing="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
            </Grid.RowDefinitions>
            <ImageButton
                x:Name="imgCancel"
                Grid.Row="0"
                Margin="0,15,15,0"
                BackgroundColor="Transparent"
                Clicked="imgCancel_Clicked"
                HorizontalOptions="EndAndExpand"
                Source="iconCancel.png"
                VerticalOptions="CenterAndExpand">
                <ImageButton.HeightRequest>
                    <OnIdiom
                        x:TypeArguments="x:Double"
                        Phone="15"
                        Tablet="25" />
                </ImageButton.HeightRequest>
                <ImageButton.WidthRequest>
                    <OnIdiom
                        x:TypeArguments="x:Double"
                        Phone="15"
                        Tablet="25" />
                </ImageButton.WidthRequest>
            </ImageButton>

            <Label
                x:Name="lblHeader"
                Grid.Row="1"
                Margin="20,0,20,0"
                FontAttributes="Bold"
                HorizontalOptions="StartAndExpand"
                HorizontalTextAlignment="Start"
                Style="{StaticResource HeaderLabel}"
                Text="Abrir orden de transporte?"
                TextColor="{StaticResource FuelBlack}">
                <Label.FontSize>
                    <OnIdiom
                        x:TypeArguments="x:Double"
                        Phone="20"
                        Tablet="24" />
                </Label.FontSize>
            </Label>

            <Grid Grid.Row="2">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto" />
                    <ColumnDefinition Width="Auto" />
                </Grid.ColumnDefinitions>

                <StackLayout
                    x:Name="btnYes"
                    Grid.Column="0"
                    Margin="20,20,0,0"
                    HorizontalOptions="StartAndExpand"
                    Orientation="Horizontal"
                    Spacing="5">
                    <Image
                        x:Name="imgYes"
                        Grid.Column="2"
                        Margin="0,0,10,0"
                        BackgroundColor="Transparent"
                        Source="iconRadioFill.png"
                        VerticalOptions="CenterAndExpand">
                        <Image.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </Image.HeightRequest>
                        <Image.WidthRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </Image.WidthRequest>
                    </Image>
                    <Label
                        Margin="0"
                        FontAttributes="Bold"
                        FontFamily="RobotoBold"
                        HorizontalTextAlignment="Start"
                        Style="{StaticResource SmallLabel}"
                        Text="Si"
                        TextColor="{StaticResource FuelBlack}" />
                    <StackLayout.GestureRecognizers>
                        <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="btnYes_Tapped" />
                    </StackLayout.GestureRecognizers>
                </StackLayout>

                <StackLayout
                    x:Name="btnNo"
                    Grid.Column="1"
                    Margin="20,20,0,0"
                    HorizontalOptions="StartAndExpand"
                    Orientation="Horizontal"
                    Spacing="5">
                    <Image
                        x:Name="imgNo"
                        Grid.Column="2"
                        Margin="0,0,10,0"
                        BackgroundColor="Transparent"
                        Source="iconRadioBlank.png"
                        VerticalOptions="CenterAndExpand">
                        <Image.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </Image.HeightRequest>
                        <Image.WidthRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </Image.WidthRequest>
                    </Image>
                    <Label
                        FontAttributes="Bold"
                        FontFamily="RobotoBold"
                        HorizontalTextAlignment="Start"
                        Style="{StaticResource SmallLabel}"
                        Text="No"
                        TextColor="{StaticResource FuelBlack}" />
                    <StackLayout.GestureRecognizers>
                        <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="btnNo_Tapped" />
                    </StackLayout.GestureRecognizers>
                </StackLayout>
            </Grid>

            <Grid
                x:Name="btnOk"
                Grid.Row="4"
                Margin="0"
                Padding="0"
                HorizontalOptions="EndAndExpand">
                <Grid.HeightRequest>
                    <OnIdiom
                        x:TypeArguments="x:Double"
                        Phone="40"
                        Tablet="50" />
                </Grid.HeightRequest>
                <Grid.WidthRequest>
                    <OnIdiom
                        x:TypeArguments="x:Double"
                        Phone="70"
                        Tablet="100" />
                </Grid.WidthRequest>
                <Grid.Margin>
                    <OnIdiom
                        x:TypeArguments="Thickness"
                        Phone="0,10,15,0"
                        Tablet="0,10,30,0" />
                </Grid.Margin>
                <Image Aspect="Fill" Source="iconDarkGreenBack.png" />
                <Label
                    FontAttributes="Bold"
                    HorizontalOptions="CenterAndExpand"
                    Style="{StaticResource HeaderLabel}"
                    Text="Ok"
                    VerticalOptions="CenterAndExpand" />
                <Grid.GestureRecognizers>
                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="btnOk_Tapped" />
                </Grid.GestureRecognizers>
            </Grid>
        </Grid>
    </pan:PancakeView>
</page:PopupPage>